Subject: Re: linux-next: build failure after merge of the drm-nova tree

From: Danilo Krummrich <[email-masked]>
Date: Mon, 28 Apr 2025 11:09:47 +0200

Hi Stephen,

On Mon, Apr 28, 2025 at 02:24:36PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the drm-nova tree, today's linux-next build (KCONFIG_NAME)
> failed like this:
> 
> x86_64-linux-gnu-ld: vmlinux.o: in function `rust_helper_drm_gem_object_put':
> (.text+0x1b6cd15): undefined reference to `drm_gem_object_free'
> 
> Caused by commit
> 
>   be8d1a24798f ("rust: drm: gem: Add GEM object abstraction")
> 
> I have used the drm-nova tree from next-20250414 for today.

This issue was caused by rust/helpers/drm.c not having the required CONFIG_DRM
guards.

This is now fixed in nova-next; sorry for the inconvenience.

- Danilo